Package net.shibboleth.idp.plugin.authn.webauthn.admin.impl

# Class AdminSearchCredentialsLookupFunction

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.admin.impl.AdminSearchCredentialsLookupFunction

All Implemented Interfaces:
  `Function<ProfileRequestContext,Collection<EnhancedCredentialRecord>>`

public class AdminSearchCredentialsLookupFunction extends Object implements Function<ProfileRequestContext,Collection<EnhancedCredentialRecord>>
A credential lookup function that returns the credentials belonging to the user that has been searched for in the management interface.

## Constructor Summary

Constructors
Constructor
Description
`AdminSearchCredentialsLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`Collection<EnhancedCredentialRecord>`
`apply(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### AdminSearchCredentialsLookupFunction

public AdminSearchCredentialsLookupFunction()

## Method Details

### apply

public Collection<EnhancedCredentialRecord> apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,Collection<EnhancedCredentialRecord>>`